dpkg-query(1)

NAMN
dpkg-query - ett verktyg för att fråga dpkg-databasen

SYNOPS
dpkg-query [flaggor...] åtgärd

BESKRIVNING
dpkg-query är ett verktyg för att visa information om paket i dpkg-databasen.

KOMMANDON

-l, --list paketnamnsmönster ...
    List packages matching given pattern. If no package-name-pattern is given, list all packages in /var/lib/dpkg/status, excluding the ones marked as not-installed (i.e. those which have been previously purged). Normal shell wildchars are allowed in package-name-pattern. Please note you will probably have to quote package-name-pattern to prevent the shell from performing filename expansion. For example this will list all package names starting with “libc6”:
      dpkg-query -l 'libc6*'
    Utdataformatet för den här flaggan kan inte justeras, men varieras automatiskt för att passa terminalbredden. Det är avsett för mänskliga läsare, och är inte enkelt maskinläsbart. Se -W (--show) och --showformat för hur du konfigurerar utdataformatet.

-W, --show paketnamnsmönster ...
    Precis som flaggan --list kommer att paket som matchar det givna mönstret att visas. Utdatat kan dock skräddarsys med flaggan --showformat. Standardutdataformatet är en rad per paket som träffas, där varje rad innehåller namn och installerad version av paketet, avdelat med ett tabulatortecken.

-s, --status paketnamn ...
    Rapportera status om det angivna paketet. Detta alternativ visar helt enkelt posten i statusdatabasen för installerade paket.

-L, --listfiles paketnamn ...
    Listar filer som installerats på ditt system från paketnamn. Observera att filer som skapats av paketspecifika installationsskript inte visas

-S, --search filnamnssökmönster ...
    Sök efter filnamnet bland de installerade paketen. Alla skalets vanliga jokertecken kan användas i mönstret. Kommandot kommer inte att visa extrafiler som skapas av paketskript, ej heller kommer det att visa alternativ.

-p, --print-avail paketnamn
    Display details about package-name, as found in /var/lib/dpkg/available. Users of APT-based frontends should use apt-cache show package-name instead as the available file is only kept up-to-date when using dselect.

-h, --help
    Visar hjälpskärm och avslutar.

--version
    Visar version och avslutar.

--license, --licence
    Visa upphovsrättslicensvillkor och avsluta.

FLAGGOR

--admindir=kat
    Ändra platsen för dpkg-databasen. Förval är /var/lib/dpkg.

-f, --showformat=format
    Flaggan används för att ange formatet på utdata som skapas av --show. Formatet är en sträng som matas ut för varje paket i listan. I formatsträngen inleds följande styrsekvenser med “\”:
        \n  radmatning
        \r  vagnretur
        \t  tabulator
    “\” före ett annat tecken undertrycken en speciell betydelse för det efterföljande tecknet, vilket är kan användas för “\” och “$”. Package information can be included by inserting variable references to package fields using the syntax “${field[;width]}”. Fields are printed right-aligned unless the width is negative in which case left alignment will be used. The following fields are recognised but they are not necessarily available in the status file (only internal fields or fields stored in the binary package end up in it):
        Architecture
        Bugs
        Conffiles (internal)
        Config-Version (internal)
        Conflicts
        Breaks
        Depends
        Description
        Enhances
        Essential
        Filename (internal, dselect related)
        Homepage
        Installed-Size
        MD5sum (internal, dselect related)
        MSDOS-Filename (internal, dselect related)
        Maintainer
        Origin
        Package
        Pre-Depends
        Priority
        Provides
        Recommends
        Replaces
        Revision (obsolete)
        Section
        Size (internal, dselect related)
        Source
        Status (internal)
        Suggests
        Tag (usually not in the .deb but in APT's Packages files)
        Triggers-Awaited (internal)
        Triggers-Pending (internal)
        Version
    Standardformatet är “${Package}\t${Version}\n”. Alla andra fält som finns i statusfilen (även användardefinierade fält) kan också hämtas. De visas dock som de är, ingen konvertering eller felkorrigering görs på dem. För att hämta namnet på paketansvarig och installerad version av dpkg och kan du köra:
      dpkg-query -W -f='${Package} ${Version}\t${Maintainer}\n' dpkg

MILJÖVARIABLER

COLUMNS
    Inställningen påverkar utdata från kommandot --list genom att ändra bredden på dess utdata.

FÖRFATTARE
Copyright © 2001 Wichert Akkerman

Detta är fri programvara; se GNU General Public License version 2 eller senare för kopieringsvillkor. Det finns INGEN GARANTI.

SE ÄVEN
dpkg(1).

ÖVERSÄTTNING
Peter Krefting och Daniel Nylander.